Bug 96083 - many transitions wrong when slide has e.g. appearing shape
Summary: many transitions wrong when slide has e.g. appearing shape
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Armin Le Grand (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-26 11:01 UTC by Armin Le Grand (CIB)
Modified: 2016-12-13 22:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
testfile, load and play slideshow (12.23 KB, application/vnd.oasis.opendocument.presentation)
2015-11-26 11:01 UTC, Armin Le Grand (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Le Grand (CIB) 2015-11-26 11:01:01 UTC
Created attachment 120811 [details]
testfile, load and play slideshow

When a slide has shapes with effects which make the shape appear (so that they are not visible when the slide is initially shown) the transitions to the next slide (property of the next slide) often show the start slide wrong, the shapes which have appeared using animations are not shown.

To reproduce:
- new impress
- add slide
- ellipse on 1st
- rect on 2nd (to have something visible)
- give ellipse effect appear/erscheinen
- give 2nd slide transition uncoverFromLeft(?)/nachLinksAufdecken
- start slideshow
-> the transition will not show the ellipse during animation

some transitions show it, some not, probably 50/50. The 3D ines usually do not show the ellipse.
Comment 1 Armin Le Grand (CIB) 2015-11-26 11:05:21 UTC
Never worked, checked history:
- LO from 4.4.7.1 down to 3.3.0.4
- AOO, OOo, Sun and Oracle versions down to 2.2 (OOo 1.1.5 is with old slideshow)

Debugging shows that the slide sometimes gets re-rendered before the transition effect, sometimes not. If not, the current frame buffer is used and all is correct. If re-rendered (sometimes necessary), the shapes which will appear using their own animations are missing - they are set to invisible when the slide is initialized.
So there is functionality to init shape visibility to initial frame state (make appearing shapes invisible), buit not for final frame state. This is not simply setting all shapes visible, that would again be wrong for disappearing shapes.
Comment 2 Armin Le Grand (CIB) 2015-11-26 11:06:14 UTC
Added functionality to init shape visibility to fnal state when the slide is actually re-rendered in final state. Doing some more checks...
Comment 3 Armin Le Grand (CIB) 2015-11-26 11:28:26 UTC
Done more tests, combinations of appearing and disappearing shapes, random transitions, playing forward/backward (left arrow), looks good.
Comment 4 Armin Le Grand (CIB) 2015-11-26 11:46:00 UTC
submitted to gerrit for build and review
Comment 5 Commit Notification 2015-12-03 12:29:20 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57387eb30d07f15b1b2a798e0e4dcb0f4543945c

tdf#96083 slide transitions wrong with appearing shapes

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-12-03 23:12:35 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b589f19a6ddae7b609d7925949d544a4a8c10a5&h=libreoffice-5-1

tdf#96083 slide transitions wrong with appearing shapes

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Óvári 2015-12-26 20:47:10 UTC
(In reply to Commit Notification from comment #5)
> Affected users are encouraged to test the fix and report feedback.

Please see bug 87958, bug 87959, bug 87960 and bug 88196. Thank you
Comment 8 Luke 2016-01-20 22:23:57 UTC
Verified FIXED on Version: 5.2.0.0.alpha0+
Build ID: e172d2e300e600d53975a39161ceed0c7158e1e0

Nicely done. Thank you Armin!